import i18n from "i18next";
import { initReactI18next } from "react-i18next";
import Backend from "i18next-http-backend";
import LanguageDetector from "i18next-browser-languagedetector";

// import lanaguage files
import uzWords from "../public/locales/uz/common.json";
import ruWords from "../public/locales/ru/common.json";

i18n
  .use(Backend)
  .use(LanguageDetector)
  .use(initReactI18next)
  .init({
    resources: {
      uz: { translation: uzWords },
      ru: { translation: ruWords },
    },
    lng: "uz",
    fallbackLng: "uz",
    debug: true,
  });

export default i18n;